KFolderType class Reference (kio Library)

| # kio Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Source Files

# KFolderType Class Reference

Mimetype for a folder (inode/directory) Handles locked folders, for instance. More...

`#include <kmimetype.h>`

Inheritance diagram for KFolderType:

[legend]
Collaboration diagram for KFolderType:

[legend]
List of all members.

## Public Member Functions
| KFolderType (KDesktopFile *config)
| KFolderType (QDataStream &_str, int offset)
virtual QString | icon (const QString &_url, bool _is_local) const
| Return the filename of the icon associated with the mimetype.
virtual QString | icon (const KURL &_url, bool _is_local) const
| This function differs from the above only in that a KURL may be provided instead of a QString for convenience.
virtual QString | comment (const QString &_url, bool _is_local) const
| The arguments are unused, but provided so that KMimeType derived classes can use them.
virtual QString | comment (const KURL &_url, bool _is_local) const
| This function differs from the above only in that a KURL may be provided instead of a QString for convenience.
## Protected Member Functions
virtual void | virtual_hook (int id, void *data)

## Detailed Description

Mimetype for a folder (inode/directory) Handles locked folders, for instance.

Definition at line 316 of file kmimetype.h.

## Member Function Documentation

QString KFolderType::icon | ( | const QString & | _url,
|  | bool | _is_local
| ) | const`[virtual]`

| Return the filename of the icon associated with the mimetype. The arguments are unused, but provided so that KMimeType-derived classes can use them (e.g. KFolderType uses the URL to return one out of 2 icons) Returns: The path to the icon associated with this MIME type. Reimplemented from KMimeType. Definition at line 471 of file kmimetype.cpp. References KServiceType::icon(), and QString::isEmpty(). Referenced by icon().

QString KFolderType::icon | ( | const KURL & | _url,
|  | bool | _is_local
| ) | const`[virtual]`

| This function differs from the above only in that a KURL may be provided instead of a QString for convenience. Reimplemented from KMimeType. Definition at line 479 of file kmimetype.cpp. References KURL::addPath(), QFile::encodeName(), KStandardDirs::exists(), icon(), KServiceType::icon(), QString::isEmpty(), KURL::path(), KConfigBase::readEntry(), and KConfigBase::setDesktopGroup().

QString KFolderType::comment | ( | const QString & | _url,
|  | bool | _is_local
| ) | const`[virtual]`

| The arguments are unused, but provided so that KMimeType derived classes can use them. Returns: The descriptive comment associated with the MIME type, if any. Reimplemented from KMimeType. Definition at line 526 of file kmimetype.cpp. References KMimeType::comment(), and QString::isEmpty(). Referenced by comment().

QString KFolderType::comment | ( | const KURL & | _url,
|  | bool | _is_local
| ) | const`[virtual]`

| This function differs from the above only in that a KURL may be provided instead of a QString for convenience. Reimplemented from KMimeType. Definition at line 534 of file kmimetype.cpp. References KURL::addPath(), comment(), KMimeType::comment(), QString::isEmpty(), KURL::path(), KConfigBase::readEntry(), and KConfigBase::setDesktopGroup().

The documentation for this class was generated from the following files:

- kmimetype.h
- kmimetype.cpp

This file is part of the documentation for kdelibs Version 3.1.5.
Documentation copyright © 1996-2002 the KDE developers.
Generated on Wed Jan 28 13:18:36 2004 by doxygen 1.3.4 written by Dimitri van Heesch, © 1997-2001